Bug 246586 - update port for editors/vile to 9.8u
Summary: update port for editors/vile to 9.8u
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Hiroki Tagato
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-05-19 23:47 UTC by Thomas E. Dickey
Modified: 2020-05-31 06:20 UTC (History)
3 users (show)

See Also:
linimon: maintainer-feedback+


Attachments
diff's for FreeBSD vile & xvile ports for v9.8u (13.37 KB, text/plain)
2020-05-19 23:47 UTC, Thomas E. Dickey
no flags Details
alternate patch for vile-9.8u (4.89 KB, patch)
2020-05-30 14:06 UTC, Thomas E. Dickey
no flags Details | Diff
alternate patch for xvile-9.8u (6.80 KB, patch)
2020-05-30 14:06 UTC, Thomas E. Dickey
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas E. Dickey 2020-05-19 23:47:34 UTC
Created attachment 214668 [details]
diff's for FreeBSD vile & xvile ports for v9.8u

vile 9.8u was released 2020/05/16
The ports editors/vile and editors/xvile should be updated.

Besides the version-number bump, some additional files are added (new syntax highlighting types).  Also, a patch is needed for the configure script (to enable a feature that was disabled in an over-wide check for a MacOS problem).

A patch is attached, from vile's source-tree.  The same files are available as "v9_8u" in

https://github.com/ThomasDickey/vile-snapshots
Comment 1 Hiroki Tagato freebsd_committer 2020-05-30 09:00:48 UTC
The patch does not apply cleanly.

Can you post a diff against the latest revision of the ports tree?
Comment 2 Thomas E. Dickey 2020-05-30 14:06:31 UTC
Created attachment 215055 [details]
alternate patch for vile-9.8u

This is closer to the way I patched 9.8t
Comment 3 Thomas E. Dickey 2020-05-30 14:06:57 UTC
Created attachment 215056 [details]
alternate patch for xvile-9.8u
Comment 4 Thomas E. Dickey 2020-05-30 14:08:28 UTC
I took a look for ports-maintainer guidance on patches, but found only the "makepatch" stuff, which doesn't apply to this case.
Comment 5 commit-hook freebsd_committer 2020-05-31 06:18:38 UTC
A commit references this bug:

Author: tagattie
Date: Sun May 31 06:17:44 UTC 2020
New revision: 537120
URL: https://svnweb.freebsd.org/changeset/ports/537120

Log:
  - Update to 9.8u
  - Add LICENSE_FILE

  PR:		246586
  Submitted by:	Thomas E. Dickey <dickey@invisible-island.net> (maintainer)
  Approved by:	mentors (implicit)
  Changelog:	https://invisible-island.net/vile/CHANGES.html#v9_8u

Changes:
  head/editors/vile/Makefile
  head/editors/vile/distinfo
  head/editors/vile/files/
  head/editors/vile/files/patch-configure
  head/editors/vile/pkg-plist
  head/editors/xvile/Makefile
  head/editors/xvile/distinfo
  head/editors/xvile/files/patch-configure
  head/editors/xvile/files/patch-x11menu.c
  head/editors/xvile/files/patch-x11vile.h
  head/editors/xvile/pkg-plist
Comment 6 Hiroki Tagato freebsd_committer 2020-05-31 06:20:12 UTC
Committed, thanks!